Get streams transcoding chart
curl --request GET \
--url https://api.gcore.com/streaming/statistics/stream \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/streaming/statistics/stream"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"client": 123,
"metrics": {
"streams": [
[
1640995210,
10
],
[
1640995310,
10
],
[
1640995410,
10
],
[
1640995510,
20
],
[
1640995610,
20
]
]
}
}
]{
"data": [],
"errors": [
"from: query param is not set"
]
}{
"data": [],
"errors": [
"internal server error"
]
}Statistics
Get streams transcoding chart
Calculates time series of the transcoding minutes of all streams. The data is updated near realtime.
GET
/
streaming
/
statistics
/
stream
Get streams transcoding chart
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Start of time frame. Datetime in ISO 8601 format.
End of time frame. Datetime in ISO 8601 format.
specifies the time interval for grouping data
Available options:
1m, 5m, 15m, 1h, 1d Was this page helpful?
⌘I